# Server Credential
PORT=2209
NODE_ENV=development

# JWT Credential
JWT_KEY=secret

# Email Credential
EMAIL_HOST_NAME=mail.sartiaglobal.com
EMAIL_PORT_NUMBER=465
EMAIL_AUTH_USER=devtest@sartiaglobal.com
EMAIL_AUTH_PASSWORD=Sartia@2209

#Database Credential
# DATABASE_HOST=192.168.1.52
# DATABASE_USER=public
# DATABASE_PASSWORD=
# DATABASE_NAME=harmony_help3

# TODO: Add the refresh token in it
ADOBE_SIGN_CLIENT_ID = 650463a5993541369e31ab8ab1b9dd59
ADOBE_SIGN_CLIENT_SECRET= p8e-Aw8Zjb28UBrX9pWPqxcLFw6iK8MEbOaq
ADOBE_SIGN_REFRESH_TOKEN= 
ADOBE_SIGN_API_URL=https://api.adobesign.com/api/rest/v6
ADOBE_IMS_URL=https://ims-na1.adobelogin.com/ims/token/v3

# local database
DATABASE_HOST=192.168.1.32
DATABASE_USER=root
DATABASE_PASSWORD=root
DATABASE_NAME="harmony_local"

# LOCAL
# DATABASE_HOST=localhost
# DATABASE_USER=root
# DATABASE_PASSWORD=
# DATABASE_NAME=newschema

# DATABASE_NAME="harmony_help_default"

#postman Related Credential
POSTMAN_API_KEY_RAVI=PMAK-66dff03bd6c6650001895795-06e5e8a32933a94969d46fcb80e8e96f41
POSTMAN_COLLECTION_ID_RAVI=37070891-114e88ec-e148-468d-80fd-a05988bd535a

POSTMAN_API_KEY_TARIQ=PMAK-675ad0fbcc8edf0001c5b668-313fe8b883f1c69c8819b53106fd3e230c
POSTMAN_COLLECTION_ID_TARIQ=36532978-2fc4aaf0-a1ce-4a2e-bcd0-b9309e1ab786

POSTMAN_API_KEY_HARSH=PMAK-6690f82a4657de0001048263-294bee6bebb41d03b3b4d62189304be9a5
POSTMAN_COLLECTION_ID_HARSH=36621608-ce352254-2a74-4805-a774-91492aa75b46
#swagger Related Api's

SWAGGER_URL=http://192.168.1.32:2209/docs/swagger.json

#Storage Type
STORAGE_TYPE=local
DEPLOYMENT_URL = 192.168.1.32:3305
SUPER_ADMIN_BACKEND_URL=http://192.168.1.32:3005  #need to change url
HARMONY_BACKEND_URL=http://192.168.1.32:2209
HARMONY_FRONTEND_URL=http://192.168.1.55:5173
CLIENT_INTERNAL_ID=H&H-CL-1001
COMPANY_SUPPORT_MAIL=dummy@mycompany.com

# STORAGE_TYPE="third_party"
# # AWS S3
# PROVIDER=AWS
# AWS_ACCESS_KEY_ID=your_aws_access_key
# AWS_SECRET_ACCESS_KEY=your_aws_secret_key
# AWS_REGION=your_aws_region
# AWS_S3_BUCKET=your_s3_bucket_name

# Google Cloud Storage
PROVIDER="Google Cloud"
GCP_PROJECT_ID=hhtech-ims
GCP_STORAGE_BUCKET=vusani360-doc-storage
GCP_SERVICE_ACCOUNT_KEY=\credentials\hhtech-ims-30acba7fc0d2.json

# # Azure Blob Storage
# PROVIDER=Azure
# AZURE_STORAGE_ACCOUNT=your_storage_account_name
# AZURE_STORAGE_KEY=your_storage_account_key
# AZURE_STORAGE_CONNECTION_STRING=your_connection_string
# AZURE_CONTAINER_NAME=your_container_name